scorers
Get scorers versions
Requires scopes: eval:read
GET
/
api
/
scorers
/
{scorerId}
/
versions
Get scorers versions
curl --request GET \
--url https://evalgate.com/api/scorers/{scorerId}/versions \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/scorers/{scorerId}/versions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/scorers/{scorerId}/versions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"versions": [
{
"createdAt": "<string>",
"submittedAt": "<string>",
"approvedAt": "<string>",
"definition": {
"description": "<string>",
"inputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"outputSchema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
},
"scoreScale": {
"min": 123,
"max": 123,
"passThreshold": 123,
"labels": {}
},
"implementation": {
"type": "deterministic",
"operator": "contains",
"config": {
"caseSensitive": false,
"pattern": "<string>",
"maxLatencyMs": 123,
"maxCostUsd": 123,
"schema": {
"type": "<string>",
"properties": {},
"required": [
"<string>"
],
"additionalProperties": false,
"items": true,
"enum": [
"<string>"
]
}
}
},
"calibration": {
"requiredForPublishing": true,
"minHumanAnchors": 123,
"minAgreementRate": 123,
"maxParseFailureRate": 123,
"requireApprovedMapping": true,
"ownerId": "<string>"
},
"tags": [
"<string>"
]
},
"versionId": 123,
"artifactId": 123,
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"versionNumber": 123,
"payload": {},
"metadata": {},
"createdBy": "<string>",
"parentVersionId": 123,
"contentHash": "<string>",
"packageHash": "<string>",
"packageSignature": "<string>",
"reviewStatus": "<string>",
"reviewRevision": 123,
"submittedBy": "<string>",
"approvedBy": "<string>"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}⌘I
Get scorers versions
